# -*- coding: utf-8 -*-
import os
import sys

from PySide2.QtWidgets import QApplication, QStatusBar
from PySide2.QtUiTools import QUiLoader
from PySide2.QtCore import QFile


def main():
    # Create application.
    app = QApplication(sys.argv)

    # Load UI file.
    file = QFile(os.path.join(os.path.dirname(__file__), 'ui', 'gui.ui'))
    file.open(QFile.ReadOnly)
    loader = QUiLoader()
    window = loader.load(file)

    statusbar = window.findChild(QStatusBar, 'statusbar')
    statusbar.showMessage('Ready')

    # Show main window.
    window.show()

    # Enter loop.
    sys.exit(app.exec_())
